Summary: device mapper library
Name: device-mapper
Version: 1.02.02
Release: 3.2
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/dm
Source0: %{name}.%{version}.tgz
Patch0: device-mapper-1.02.02-selinux.patch
Patch1: device-mapper-1.02.02-libpaths.patch
Patch2: device-mapper-1.02.02-pkg-config.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libselinux-devel, libsepol-devel

%define _exec_prefix /

%description
This package contains the supporting userspace files (libdevmapper and
dmsetup) for the device-mapper.

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1 -b .selinux
%patch1 -p1 -b .libpaths
%patch2 -p1 -b .pkg-config

%build
autoconf
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 --enable-dmeventd
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL INTRO README VERSION WHATS_NEW
%{_libdir}/libdevmapper.so*
%{_libdir}/libdevmapper.a*
%{_libdir}/libdevmapper-event.so*
%{_libdir}/libdevmapper-event.a*
%{_sbindir}/dmsetup
%{_sbindir}/dmsetup.static
%{_mandir}/*/*
%{_includedir}/libdevmapper.h
%{_includedir}/libdevmapper-event.h
/usr/%{_lib}/pkgconfig/*.pc


%changelog
* Mon Mar 27 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.02.02-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.02.02-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 11 2006 Karel Zak <kzak@redhat.com> - 1.02.02-3
- cleanup selinux patch
- add pkg-config support

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - - 1.02.02-2.1
- rebuilt

* Sun Dec  3 2005 Peter Jones <pjones@redhat.com> - 1.02.02-2
- fix link path for libdevmapper-event.so

* Fri Dec  2 2005 Peter Jones <pjones@redhat.com> - 1.02.02-1
- update to 1.02.02

* Thu Dec  1 2005 Peter Jones <pjones@redhat.com> - 1.01.05-4
- add api call to make device nodes explicitly, rather than the previous
  approach

* Wed Nov 16 2005 Peter Jones <pjones@redha.tcom> - 1.01.05-3
- make device nodes after create/remove/rename, rather than when the library
  exits.

* Thu Oct 13 2005 Florian La Roche <laroche@redhat.com>
- add linking against -lsepol

* Mon Sep 26 2005 Alasdair Kergon <agk@redhat.com> - 1.01.05-1.0
- Dynamically extend libdevmapper ioctl buffer if data doesn't fit.

* Mon Aug 02 2005 Alasdair Kergon <agk@redhat.com> - 1.01.04-1.0
- Fix dmsetup handling with empty table (needed by multipath).

* Mon Jun 13 2005 Alasdair Kergon <agk@redhat.com> - 1.01.03-1.0
- Reinstate selinux support.

* Tue May 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.02-1.0
- Add --exec and --target to dmsetup for initrd convenience.
- Automatically call dm_lib_exit when exiting.

* Tue Mar 29 2005 Alasdair Kergon <agk@redhat.com> - 1.01.01-1.0
- Update dmsetup man page.
- Replicate devmap_name output with dmsetup info -c --noheadings -o name.

* Fri Mar 04 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-1.1
- Rebuild requested for gcc update.

* Mon Jan 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-1
- Update lib interface to make open_count optional.

* Fri Jan 7 2005 Alasdair Kergon <agk@redhat.com> - 1.00.21-1
- Fix (harmless) unintended warning messages.

* Thu Jan 6 2005 Alasdair Kergon <agk@redhat.com> - 1.00.20-1
- Minor fixes and updates - see WHATS_NEW.

* Fri Sep 17 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-2
- Missing BuildRequires. [bz 121133]

* Sat Jul 3 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-1
- New upstream release fixes device numbers for 2.6 kernels.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 26 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-2
- Fix is_selinux_enabled() test

* Mon Apr 19 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-1
- Fix non-root build with current version of 'install'.
- Incorporate last two selinux patches into tarball.

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 1.00.14-3
- fix linking against libselinux on x86-64

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 1.00.14-2
- don't error out if we get ENOTSUP setting the context

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.14-1
- Fix static selinux build.

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.13-1
- Set selinux context when doing mknod.

* Mon Apr 05 2004 Alasdair Kergon <agk@redhat.com> 1.00.11-1
- Cleanup build process. Add features: dmsetup targets, event_nr support.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-2
- add static lib

* Tue Dec  2 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-1
- Initial build.

